/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support. Licensed under the MIT license - see
  http://www.qsl.net/ve3lny/MIT%20License.html

  common.h
-------------------------------------------------------------------*/

#ifndef _COMMON_H_
#define _COMMON_H_ 1

// The following specifies the millivolts measured when the
// test leads are shorted, which is the condition required
// when pressing the zero button. You can measure it at the
// ADC0 pin (pin 20). This is a default value and gets updated
// and stored in EEPROM when the zero button is pressed. Make
// sure it doesn't exceed 5 volts.
#define SHORT_MV		4290

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)
//#define NULL    0

#define nop() do { __asm__ __volatile__ ("nop"); } while (0)

// The following macros set/clear bits

#define set_bit(port,bit)  (port |= (1<<bit))
#define clear_bit(port,bit)  (port &= ~(1<<bit))
#define test_bit( reg, bitNumb )   ((reg) & (1 << (bitNumb)))

// Global functions
uint16_t interpolate( uint16_t uiFreq );

#endif

